|  | Home · All Classes · Modules

# QWebHistoryInterface Class Reference
[QtWebKit module]

The QWebHistoryInterface class provides an interface to implement link history. More...

Inherits QObject.

### Methods

- __init__ (self, QObject parent = None)
- addHistoryEntry (self, QString url)
- bool historyContains (self, QString url)

### Static Methods

- QWebHistoryInterface defaultInterface ()
- setDefaultInterface (QWebHistoryInterface defaultInterface)

## Detailed Description

The QWebHistoryInterface class provides an interface to implement link history.

The QWebHistoryInterface is an interface that can be used to implement link history. It contains two pure virtual methods that are called by the WebKit engine. addHistoryEntry() is used to add pages that have been visited to the interface, while historyContains() is used to query whether this page has been visited by the user.

## Method Documentation

### QWebHistoryInterface.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new QWebHistoryInterface with parent parent.

### QWebHistoryInterface.addHistoryEntry (self, QString url)

This method is abstract and should be reimplemented in any sub-class.

Called by WebKit to add another url to the list of visited pages.

### QWebHistoryInterface QWebHistoryInterface.defaultInterface ()

Returns the default interface that will be used by WebKit. If no default interface has been set, QtWebkit will not track history.

See also setDefaultInterface().

### bool QWebHistoryInterface.historyContains (self, QString url)

This method is abstract and should be reimplemented in any sub-class.

Called by the WebKit engine to query whether a certain url has been visited by the user already. Returns true if the url is part of the history of visited links; otherwise returns false.

### QWebHistoryInterface.setDefaultInterface (QWebHistoryInterface defaultInterface)

Sets a new default interface, defaultInterface, that will be used by all of WebKit for managing history.

If an interface without a parent has already been set, the old interface will be deleted. When the application exists QWebHistoryInterface will automatically delete the defaultInterface if it does not have a parent.

See also defaultInterface().